Bug 196577 - RFE: Split GUI out to separate package.
RFE: Split GUI out to separate package.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: oprofile (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Cohen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-25 02:40 EDT by Dave Jones
Modified: 2015-01-04 17:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 15:32:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-06-25 02:40:58 EDT
I wanted to profile something on a headless box, so I ssh'd into it and
installed oprofile.  It pulled in all this...

Installing:
 oprofile                i386       0.9.1-8.1.1      core              1.8 M
Installing for dependencies:
 binutils                i386       2.16.91.0.6-5    updates           3.4 M
 fontconfig              i386       2.3.94-1         core              188 k
 freeglut                i386       2.4.0-4          core              142 k
 freetype                i386       2.1.10-5.2.1     core              536 k
 lcms                    i386       1.15-1.2.1       core              169 k
 libXcursor              i386       1.1.5.2-2.2      core               31 k
 libXft                  i386       2.1.8.2-3.2      core               45 k
 libXinerama             i386       1.0.1-1.2        core              9.8 k
 libXrandr               i386       1.1.0.2-2.2      core               14 k
 libXrender              i386       0.9.0.2-3.2      core               27 k
 libdrm                  i386       2.0-2.2          core               18 k
 libjpeg                 i386       6b-36.2.1        core              139 k
 libmng                  i386       1.0.9-3.2.1      core              163 k
 libpng                  i386       2:1.2.8-2.2.1    core              166 k
 libtiff                 i386       3.7.4-7          updates           316 k
 mesa-libGL              i386       6.4.2-6          core              6.4 M
 mesa-libGLU             i386       6.4.2-6          core              180 k
 qt                      i386       1:3.3.6-0.1.fc5  updates           3.5 M


Having to pull in all those X libraries on a headless server is a bit annoying.
How about making it optional in a oprofile-ui sub package ?
Comment 1 William Cohen 2006-06-26 10:56:19 EDT
Separated out oprof_start from the normal package and put it in oprofile-gui.
That should be the only thing requiring all the x11 stuff.  This is available in
oprofile-0.9.1-11.1.1. Remove oprofile and the unwanted X11 files and try
installing the new oprofile rpm that excludes oprof_start.

Note You need to log in before you can comment on or make changes to this bug.